Subject: Re: Using vpath directive in makefiles
From: [email-masked] (Stephen Vance)

25 Sep 1998 00:16:37 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: Alejandro Olchik <[email-masked]>
Cc: [email-masked]

Alejandro Olchik wrote:

> I´m having problem when using the vpath directive in a makefile. I have cywin B19 installed and I´m running make in unix mode.
>
> Look at the followin makefile
>
> vpath %.s //s/multinos/prj/nr1100/startup
>
> start.o:  start.s
>         copy $< $@
>
> When trying to execute it I receive the following message
> make: *** No rule to make target `start.s', needed by `start.o'.  Stop.
>
> Am I doing something wrong? The make program does not have to search for the .s file at the vpath directories?
>
> -----
> Free e-mail group hosting at http://www.eGroups.com/
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

 I've had problems like this, as well, even though the makefiles work with GNU make on Solaris.  Instead, I ended up having to do
pattern rules like

%.o: //s/multinos/prj/nr1100/startup/%.s

for each of the desired vpath components.

--
Stephen Vance                           |  http://www.deneb.com
Deneb Robotics, Inc.                    |  mailto:[email-masked]
5500 New King Street                    |  Phone: (248) 267-9696
Troy, MI 48098-2615                     |  Fax:   (248) 267-8585

What is done well is done quickly enough. -Augustus Caesar

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".